Update Application Task

The Update Task API can be used to update an application task that was already created. You can pass in all task parameters (and update the entire set of task data) or pass in only the parameters you want to update (and only update those parameters).

Path Params
string
required

Task ID for update

Body Params

Request Body

metadata

Partial update for metadata as a key→value map.

  • Keys are strings up to 40 characters long.
  • Values can be string, number, boolean, or null (to delete the entry).
  • Up to 40 entries.
  • String values up to 500 characters.
externalAssignee
object

Task external assignee object

string

Title of the task (minimum 1 character, maximum length of 1000 characters)

string
enum

Task Status. Can be Done, In Progress, In Review, Not Done, Cancelled, Failed.

Allowed:
string

Internal assignees instructions (maximum length of 5000 characters)

string

External assignee instructions (maximum length of 5000 characters)

date-time

Due Date of the Task

string

Task group (maximum length of 248 characters)

variables
array of strings

Associated variables (maximum 500 values in array, each value with a maximum length of 300 characters)

variables
string

Task auto pass condition formula (maximum length of 8000 characters)

blockedApplicationStatusIds
array of strings

Blocked application statuses IDs (maximum 50 values in array)

blockedApplicationStatusIds
assignedTeamMemberIds
array of strings

Assigned team member IDs (maximum 20 values in array)

assignedTeamMemberIds
labels

Update label parameters: you can specify either "set" for replacing current labels, or "add"/"remove" for modifying existing labels. "Set" and "add"/"remove" are mutually exclusive options.

boolean

A toggle that, if set to TRUE, will cause an email to be sent to the assignee to notify them about the task

Headers
string
enum
Defaults to 2024-02-26
Allowed:
Responses

Language
Credentials
Header
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json